Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.data
Class ViewSpecificationWithID

    java.lang.Object
      com.tibco.bpm.web.client.model.types.data.ViewSpecificationWithID

    public class ViewSpecificationWithID

extends java.lang.Object

Constructor Summary
`ViewSpecificationWithID()`

Method Summary
`AppDetails` | `getAppDetails()`
`java.util.List<java.lang.String>` | `getCategory()`
`java.util.List<NamedParameterMetadata>` | `getParameter()`
`ViewSpecification` | `getSpecification()`
`long` | `getViewID()`
`void` | `setAppDetails(AppDetails appDetails)`
`void` | `setCategory(java.util.List<java.lang.String> category)`
`void` | `setParameter(java.util.List<NamedParameterMetadata> parameter)`
`void` | `setSpecification(ViewSpecification specification)`
`void` | `setViewID(long viewID)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ViewSpecificationWithID

    public ViewSpecificationWithID()

Method Detail

### getCategory

    public java.util.List<java.lang.String> getCategory()

### setCategory

    public void setCategory(java.util.List<java.lang.String> category)

### getParameter

    public java.util.List<NamedParameterMetadata> getParameter()

### setParameter

    public void setParameter(java.util.List<NamedParameterMetadata> parameter)

### getAppDetails

    public AppDetails getAppDetails()

### setAppDetails

    public void setAppDetails(AppDetails appDetails)

### getViewID

    public long getViewID()

### setViewID

    public void setViewID(long viewID)

### getSpecification

    public ViewSpecification getSpecification()

### setSpecification

    public void setSpecification(ViewSpecification specification)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.